For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETGet spending controls
      • PUTUpsert spending controls
LogoLogo
DashboardGet started
Generated API ExplorerControls

Upsert spending controls

PUT
/v1/controls
PUT
/v1/controls
$curl -X PUT https://api.lipafy.xyzyz/v1/controls \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "controls": {
3 "daily_limit": "string",
4 "per_transaction_limit": "string",
5 "allowed_capability_slugs": [
6 "string"
7 ],
8 "blocked_capability_slugs": [
9 "string"
10 ],
11 "require_escalation_above": "string",
12 "escalation_phone": "string",
13 "escalation_method": "string",
14 "active": true,
15 "account_id": "string",
16 "grant_id": "string"
17 }
18}
Was this page helpful?
Previous

OAuth metadata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
grant_idstringOptionalformat: "uuid"
daily_limitstring or nullOptional
per_transaction_limitstring or nullOptional
allowed_capability_slugslist of strings or nullOptional
blocked_capability_slugslist of strings or nullOptional
require_escalation_abovestring or nullOptional
escalation_phonestring or nullOptional
escalation_methodstring or nullOptional
activebooleanOptional

Response

OK
controlsobject